#
#
# Note: This feature is for developers ONLY.
# Please do not forget to set BB_ENV_EXTRAWHITE before
# launching the yocto build.
# `export BB_ENV_EXTRAWHITE="${BB_ENV_EXTRAWHITE} RDK_ROOT_PATH"`
#
INHERIT += "externalsrc"

EXTERNALSRC_pn-aamp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/aamp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/aamp')) else ''}"
EXTERNALSRC_pn-aampabr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/aampabr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/aampabr')) else ''}"
EXTERNALSRC_pn-aampmetrics = "${@'${RDK_ROOT_PATH}/rdk/components/generic/aampmetrics' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/aampmetrics')) else ''}"
EXTERNALSRC_pn-analyzers-host = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/analyzers/scripts/host' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/analyzers/scripts/host')) else ''}"
EXTERNALSRC_pn-analyzers-target = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/analyzers/scripts/target' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/analyzers/scripts/target')) else ''}"
EXTERNALSRC_pn-appmanager = "${@'${RDK_ROOT_PATH}/rdk/components/generic/appmanager' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/appmanager')) else ''}"
EXTERNALSRC_pn-asbluetoothrcu = "${@'${RDK_ROOT_PATH}/rdk/components/generic/blercudaemon' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/blercudaemon')) else ''}"
EXTERNALSRC_pn-audiocapturemgr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/audiocapturemgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/audiocapturemgr')) else ''}"
EXTERNALSRC_pn-bluetooth-core = "${@'${RDK_ROOT_PATH}/rdk/components/generic/bluetooth' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/bluetooth')) else ''}"
EXTERNALSRC_pn-bluetooth-leappmgr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/bluetooth_leAppMgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/bluetooth_leAppMgr')) else ''}"
EXTERNALSRC_pn-bluetooth-mgr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/bluetooth_mgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/bluetooth_mgr')) else ''}"
EXTERNALSRC_pn-breakpad-wrapper = "${@'${RDK_ROOT_PATH}/rdk/components/generic/breakpad_wrapper' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/breakpad_wrapper')) else ''}"
EXTERNALSRC_pn-ccsp-adv-security = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspAdvSecurity' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspAdvSecurity')) else ''}"
EXTERNALSRC_pn-ccsp-cm-agent = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCMAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCMAgent')) else ''}"
EXTERNALSRC_pn-ccsp-common-library = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCommonLibrary' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCommonLibrary')) else ''}"
EXTERNALSRC_pn-ccsp-common-library-native = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCommonLibrary' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCommonLibrary')) else ''}"
EXTERNALSRC_pn-ccsp-cr = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCr' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspCr')) else ''}"
EXTERNALSRC_pn-ccsp-dhcp-mgr = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/DhcpManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/DhcpManager')) else ''}"
EXTERNALSRC_pn-ccsp-dmcli = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspDmCli' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspDmCli')) else ''}"
EXTERNALSRC_pn-ccsp-epon-agent = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspEPONAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspEPONAgent')) else ''}"
EXTERNALSRC_pn-ccsp-eth-agent = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspEthAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspEthAgent')) else ''}"
EXTERNALSRC_pn-ccsp-gwprovapp = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/GwProvApp' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/GwProvApp')) else ''}"
EXTERNALSRC_pn-ccsp-gwprovapp-epon = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/GwProvApp-ePON' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/GwProvApp-ePON')) else ''}"
EXTERNALSRC_pn-ccsp-gwprovapp-ethwan = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/GwProvApp-EthWan' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/GwProvApp-EthWan')) else ''}"
EXTERNALSRC_pn-ccsp-home-security = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspHomeSecurity' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspHomeSecurity')) else ''}"
EXTERNALSRC_pn-ccsp-hotspot = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/hotspot' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/hotspot')) else ''}"
EXTERNALSRC_pn-ccsp-lm-lite = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspLMLite' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspLMLite')) else ''}"
EXTERNALSRC_pn-ccsp-logagent = "${@'${RDK_ROOT_PATH}/rdkb/components/generic/CcspLogAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/generic/CcspLogAgent')) else ''}"
EXTERNALSRC_pn-ccsp-misc = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspMisc' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspMisc')) else ''}"
EXTERNALSRC_pn-ccsp-moca = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspMoCA' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspMoCA')) else ''}"
EXTERNALSRC_pn-ccsp-mta-agent = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspMtaAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspMtaAgent')) else ''}"
EXTERNALSRC_pn-ccsp-p-and-m = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspPandM' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspPandM')) else ''}"
EXTERNALSRC_pn-ccsp-psm = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspPsm' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspPsm')) else ''}"
EXTERNALSRC_pn-ccsp-snmp-pa = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspSnmpPa' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspSnmpPa')) else ''}"
EXTERNALSRC_pn-ccsp-tr069-pa = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspTr069Pa' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspTr069Pa')) else ''}"
EXTERNALSRC_pn-ccsp-webui-bci-jst = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui-bwg/source/Styles/xb3' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui-bwg/source/Styles/xb3')) else ''}"
EXTERNALSRC_pn-ccsp-webui-bci-php = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui-bwg/source/CcspPhpExtension' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui-bwg/source/CcspPhpExtension')) else ''}"
EXTERNALSRC_pn-ccsp-webui-jst = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui/source/Styles/xb3' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui')) else ''}"
EXTERNALSRC_pn-ccsp-webui-php = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui/source/CcspPhpExtension' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/webui')) else ''}"
EXTERNALSRC_pn-ccsp-wifi-agent = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspWifiAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspWifiAgent')) else ''}"
EXTERNALSRC_pn-ccsp-xconf = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/Xconf' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/Xconf')) else ''}"
EXTERNALSRC_pn-ccsp-xdns = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspXDNS' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CcspXDNS')) else ''}"
EXTERNALSRC_pn-cobalt-launcher = "${@'${RDK_ROOT_PATH}/rdk/components/generic/cobalt-launcher' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/cobalt-launcher')) else ''}"
EXTERNALSRC_pn-cobalt-plugin = "${@'${RDK_ROOT_PATH}/rdk/components/generic/cobalt/plugin' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/cobalt')) else ''}"
EXTERNALSRC_pn-configmgr = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/configMgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/configMgr')) else ''}"
EXTERNALSRC_pn-core-net-lib = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CoreNetLib' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/CoreNetLib')) else ''}"
EXTERNALSRC_pn-cpuprocanalyzer = "${@'${RDK_ROOT_PATH}/rdk/components/generic/cpuprocanalyzer' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/cpuprocanalyzer')) else ''}"
EXTERNALSRC_pn-crashlog = "${@'${RDK_ROOT_PATH}/rdk/components/generic/crashlog' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/crashlog')) else ''}"
EXTERNALSRC_pn-crashupload = "${@'${RDK_ROOT_PATH}/rdk/components/generic/crashupload' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/crashupload')) else ''}"
EXTERNALSRC_pn-ctrlm-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/control' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/control')) else ''}"
EXTERNALSRC_pn-ctrlm-main = "${@'${RDK_ROOT_PATH}/rdk/components/generic/control' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/control')) else ''}"
EXTERNALSRC_pn-ctrlm-xraudio-hal-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio-hal_ctrlm' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio-hal_ctrlm')) else ''}"
EXTERNALSRC_pn-ctrlm-xraudio-hal = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio-hal_ctrlm' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio-hal_ctrlm')) else ''}"
EXTERNALSRC_pn-cvr = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/cvr' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/cvr')) else ''}"
EXTERNALSRC_pn-dca = "${@'${RDK_ROOT_PATH}/rdk/components/generic/dca' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/dca')) else ''}"
EXTERNALSRC_pn-dcmjsonparser = "${@'${RDK_ROOT_PATH}/rdk/components/generic/dcm' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/dcm')) else ''}"
EXTERNALSRC_pn-devicesettings = "${@'${RDK_ROOT_PATH}/rdk/components/generic/devicesettings' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/devicesettings')) else ''}"
EXTERNALSRC_pn-devicesettings-hal-emulator = "${@'${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/emulator/devicesettings' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/emulator/devicesettings')) else ''}"
EXTERNALSRC_pn-devicesettings-hal-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/devicesettings' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/devicesettings')) else ''}"
EXTERNALSRC_pn-devicesettings-hal-raspberrypi = "${@'${RDK_ROOT_PATH}/rdk/devices/raspberrypi/devicesettings' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/raspberrypi/devicesettings')) else ''}"
EXTERNALSRC_pn-diagnostics-snmp2json = "${@'${RDK_ROOT_PATH}/rdk/components/generic/diagnostics/QAM_device' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/diagnostics')) else ''}"
EXTERNALSRC_pn-dtcpmgr-noop = "${@'${RDK_ROOT_PATH}/rdk/components/generic/dtcp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/dtcp')) else ''}"
EXTERNALSRC_pn-fsc = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/FirmwareSanity' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/FirmwareSanity')) else ''}"
EXTERNALSRC_pn-gdbus-client = "${@'${RDK_ROOT_PATH}/components/opensource/gdbus-client' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/gdbus-client')) else ''}"
EXTERNALSRC_pn-gst-external-plugin = "${@'${RDK_ROOT_PATH}/rdk/components/generic/gst-plugins-rdk/src/external' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/gst-plugins-rdk')) else ''}"
EXTERNALSRC_pn-gst-plugins-playersinkbin-emulator = "${@'${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/rdkemulator/gst-plugins-rdk/playersinkbin' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/rdkemulator/gst-plugins-rdk/playersinkbin')) else ''}"
EXTERNALSRC_pn-gst-plugins-playersinkbin-rpi = "${@'${RDK_ROOT_PATH}/rdk/devices/raspberrypi/gst-plugins-rdk/playersinkbin' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/raspberrypi/gst-plugins-rdk/playersinkbin')) else ''}"
EXTERNALSRC_pn-gst-plugins-rdk = "${@'${RDK_ROOT_PATH}/rdk/components/generic/gst-plugins-rdk' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/gst-plugins-rdk')) else ''}"
EXTERNALSRC_pn-gst-plugins-rdk-aamp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/gst-plugins-rdk-aamp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/gst-plugins-rdk-aamp')) else ''}"
EXTERNALSRC_pn-gst-svp-ext = "${@'${RDK_ROOT_PATH}/rdk/components/generic/gst_svp_ext' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/gst_svp_ext')) else ''}"
EXTERNALSRC_pn-gstqamtunersrc = "${@'${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/rdkemulator/gst-plugins-rdk/qamtunersrc' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/rdkemulator/gst-plugins-rdk/qamtunersrc')) else ''}"
EXTERNALSRC_pn-hal-wifi-cfg80211 = "${@'${RDK_ROOT_PATH}/components/opensource/hal-wifi-cfg80211/source/wifi' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/hal-wifi-cfg80211')) else ''}"
EXTERNALSRC_pn-halinterface = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/halinterface' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/halinterface')) else ''}"
EXTERNALSRC_pn-harvester = "${@'${RDK_ROOT_PATH}/rdkb/components/generic/harvester' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/generic/harvester')) else ''}"
EXTERNALSRC_pn-hdmicec = "${@'${RDK_ROOT_PATH}/rdk/components/generic/hdmicec' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/hdmicec')) else ''}"
EXTERNALSRC_pn-hdmicecheader = "${@'${RDK_ROOT_PATH}/rdk/components/generic/hdmicec/ccec/include/ccec/driver' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/hdmicec/ccec/include/ccec/driver')) else ''}"
EXTERNALSRC_pn-hostdataconverter = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/hostdataconverter' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/hostdataconverter')) else ''}"
EXTERNALSRC_pn-httpclients-utility = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/httpClients' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/httpClients')) else ''}"
EXTERNALSRC_pn-hwselftest = "${@'${RDK_ROOT_PATH}/rdk/components/generic/hwselftest' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/hwselftest')) else ''}"
EXTERNALSRC_pn-iarm-event-sender = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/iarm_event_sender' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/iarm_event_sender')) else ''}"
EXTERNALSRC_pn-iarm-query-powerstate = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/iarm_query_powerstate' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/iarm_query_powerstate')) else ''}"
EXTERNALSRC_pn-iarm-set-powerstate = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/iarm_set_powerstate' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/iarm_set_powerstate')) else ''}"
EXTERNALSRC_pn-iarmbus = "${@'${RDK_ROOT_PATH}/rdk/components/generic/iarmbus' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/iarmbus')) else ''}"
EXTERNALSRC_pn-iarmmgrs = "${@'${RDK_ROOT_PATH}/rdk/components/generic/iarmmgrs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/iarmmgrs')) else ''}"
EXTERNALSRC_pn-iarmmgrs-hal-emulator = "${@'${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/emulator/iarmmgrs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/emulator/iarmmgrs')) else ''}"
EXTERNALSRC_pn-iarmmgrs-hal-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/iarmmgrs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/iarmmgrs')) else ''}"
EXTERNALSRC_pn-iarmmgrs-hal-raspberrypi = "${@'${RDK_ROOT_PATH}/rdk/devices/raspberrypi/iarmmgrs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/raspberrypi/iarmmgrs')) else ''}"
EXTERNALSRC_pn-injectedbundle = "${@'${RDK_ROOT_PATH}/rdk/components/generic/injectedbundle' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/injectedbundle')) else ''}"
EXTERNALSRC_pn-ipoe-health-check = "${@'${RDK_ROOT_PATH}/rdk/components/opensource/ipoe_health_check' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/opensource/ipoe_health_check')) else ''}"
EXTERNALSRC_pn-jst = "${@'${RDK_ROOT_PATH}/rdk/components/generic/jst' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/jst')) else ''}"
EXTERNALSRC_pn-json-hal-lib = "${@'${RDK_ROOT_PATH}/rdkb/components/generic/json-rpc' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/generic/json-rpc')) else ''}"
EXTERNALSRC_pn-key-simulator = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/key_simulator' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/key_simulator')) else ''}"
EXTERNALSRC_pn-ledmgr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/ledmgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/ledmgr')) else ''}"
EXTERNALSRC_pn-ledmgr-camera = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/ledmgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/ledmgr')) else ''}"
EXTERNALSRC_pn-ledmgr-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/ledmgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/ledmgr')) else ''}"
EXTERNALSRC_pn-libunpriv = "${@'${RDK_ROOT_PATH}/rdk/components/generic/libunpriv' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/libunpriv')) else ''}"
EXTERNALSRC_pn-libsyswrapper = "${@'${RDK_ROOT_PATH}/rdk/components/generic/libSyscallWrapper' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/libSyscallWrapper')) else ''}"
EXTERNALSRC_pn-lxapp-bt-audio = "${@'${RDK_ROOT_PATH}/components/opensource/RDK_apps/BluetoothAudio/dist' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/RDK_apps')) else ''}"
EXTERNALSRC_pn-lxc-container-generator-native = "${@'${RDK_ROOT_PATH}/rdk/components/generic/lxc-container-generator' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/lxc-container-generator')) else ''}"
EXTERNALSRC_pn-lxccpid = "${@'${RDK_ROOT_PATH}/rdk/components/generic/lxccpid' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/lxccpid')) else ''}"
EXTERNALSRC_pn-media-utils = "${@'${RDK_ROOT_PATH}/rdk/components/generic/media_utils' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/media_utils')) else ''}"
EXTERNALSRC_pn-mediastreamer = "${@'${RDK_ROOT_PATH}/rdkc/devices/raspberrypi/mediastreamer' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/devices/raspberrypi/mediastreamer')) else ''}"
EXTERNALSRC_pn-memstress = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/mem_analyser_tools/memstress' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/mem_analyser_tools/memstress')) else ''}"
EXTERNALSRC_pn-mesh-agent = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/MeshAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/MeshAgent')) else ''}"
EXTERNALSRC_pn-mfr-data = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/mfr_data' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/mfr_data')) else ''}"
EXTERNALSRC_pn-mfr-utils = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/mfr_utils' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/mfr_utils')) else ''}"
EXTERNALSRC_pn-mfrlib-emulator = "${@'${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/rdkemulator/mfrlibs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/intel-x86-pc/rdkemulator/mfrlibs')) else ''}"
EXTERNALSRC_pn-mfrlibs-rpi = "${@'${RDK_ROOT_PATH}/rdk/devices/raspberrypi/mfrlibs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/raspberrypi/mfrlibs')) else ''}"
EXTERNALSRC_pn-moca-hal = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mocahal' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mocahal')) else ''}"
EXTERNALSRC_pn-moca-hal-noop = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mocahal' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mocahal')) else ''}"
EXTERNALSRC_pn-netsrvmgr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/netsrvmgr' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/netsrvmgr')) else ''}"
EXTERNALSRC_pn-nlmonitor = "${@'${RDK_ROOT_PATH}/rdk/components/generic/netmonitor' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/netmonitor')) else ''}"
EXTERNALSRC_pn-notify-comp = "${@'${RDK_ROOT_PATH}/rdkb/components/generic/notify_comp/notify_comp' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/generic/notify_comp/notify_comp')) else ''}"
EXTERNALSRC_pn-ovs-agent = "${@'${RDK_ROOT_PATH}/rdk/components/generic/OvsAgent' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/OvsAgent')) else ''}"
EXTERNALSRC_pn-plugins = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/plugins' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/plugins')) else ''}"
EXTERNALSRC_pn-power-state-monitor = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/power-state-monitor' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/power-state-monitor')) else ''}"
EXTERNALSRC_pn-powermgr = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/PowerManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/PowerManager')) else ''}"
EXTERNALSRC_pn-pwstream = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/pwstream' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/pwstream')) else ''}"
EXTERNALSRC_pn-qtapp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/trm/qtapp/srv' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/trm')) else ''}"
EXTERNALSRC_pn-rdk-cellularmanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkCellularManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkCellularManager')) else ''}"
EXTERNALSRC_pn-rdk-diagnostics = "${@'${RDK_ROOT_PATH}/rdk/components/generic/diagnostics/QAM_device' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/diagnostics')) else ''}"
EXTERNALSRC_pn-rdk-easymesh-controller = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkEasyMeshController' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkEasyMeshController')) else ''}"
EXTERNALSRC_pn-rdk-fwupgrade-manager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkPlatformManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkPlatformManager')) else ''}"
EXTERNALSRC_pn-rdk-gstreamer-utils = "${@'${RDK_ROOT_PATH}/rdk/components/opensource/gstreamer-direct-platform' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/opensource/gstreamer-direct-platform')) else ''}"
EXTERNALSRC_pn-rdk-interdevicemanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkInterDeviceManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkInterDeviceManager')) else ''}"
EXTERNALSRC_pn-rdk-logger = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdk_logger' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdk_logger')) else ''}"
EXTERNALSRC_pn-rdk-oss-ssa = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkssa' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkssa')) else ''}"
EXTERNALSRC_pn-rdk-ppp-manager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkPppManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkPppManager')) else ''}"
EXTERNALSRC_pn-rdk-vlanmanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkVlanBridgingManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkVlanBridgingManager')) else ''}"
EXTERNALSRC_pn-rdk-wanmanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkWanManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkWanManager')) else ''}"
EXTERNALSRC_pn-rdk-wifi-hal = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/rdk-wifi-hal/src' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/rdk-wifi-hal')) else ''}"
EXTERNALSRC_pn-rdk-wifi-util = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/rdk-wifi-hal/util' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/rdk-wifi-hal')) else ''}"
EXTERNALSRC_pn-rdkapps = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkbrowser/rdkapps' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkbrowser/rdkapps')) else ''}"
EXTERNALSRC_pn-rdkat = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkat' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkat')) else ''}"
EXTERNALSRC_pn-rdkbrowser2 = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkbrowser2' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkbrowser2')) else ''}"
EXTERNALSRC_pn-rdkbrowserplatx86 = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkbrowser/platform/rdkemulator' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkbrowser/platform/rdkemulator')) else ''}"
EXTERNALSRC_pn-rdkgponmanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkGponManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkGponManager')) else ''}"
EXTERNALSRC_pn-rdkxdslmanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkXdslManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkXdslManager')) else ''}"
EXTERNALSRC_pn-rdkmediaplayer = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkmediaplayer' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkmediaplayer')) else ''}"
EXTERNALSRC_pn-rdkresidentapp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/appmanager' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/appmanager')) else ''}"
EXTERNALSRC_pn-rdkshell = "${@'${RDK_ROOT_PATH}/components/opensource/RDKShell' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/RDKShell')) else ''}"
EXTERNALSRC_pn-rdktelcovoicemanager = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkTelcoVoiceManager' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/RdkTelcoVoiceManager')) else ''}"
EXTERNALSRC_pn-rdkversion = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkversion' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkversion')) else ''}"
EXTERNALSRC_pn-rdkx-logger = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdkx_logger' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdkx_logger')) else ''}"
EXTERNALSRC_pn-rdm = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rdm' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rdm')) else ''}"
EXTERNALSRC_pn-residentui = "${@'${RDK_ROOT_PATH}/components/opensource/RDK_apps/accelerator-home-ui/dist' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/RDK_apps')) else ''}"
EXTERNALSRC_pn-rfc = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rfc' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rfc')) else ''}"
EXTERNALSRC_pn-rialto = "${@'${RDK_ROOT_PATH}/components/opensource/rialto' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/rialto')) else ''}"
EXTERNALSRC_pn-rialto-gstreamer = "${@'${RDK_ROOT_PATH}/components/opensource/rialto-gstreamer' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/rialto-gstreamer')) else ''}"
EXTERNALSRC_pn-rialto-ocdm = "${@'${RDK_ROOT_PATH}/components/opensource/rialto-ocdm' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/rialto-ocdm')) else ''}"
EXTERNALSRC_pn-rmfapp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mediaframework/rmfApp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mediaframework')) else ''}"
EXTERNALSRC_pn-rmfgeneric = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mediaframework' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mediaframework')) else ''}"
EXTERNALSRC_pn-rmfgenericheaders = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mediaframework' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mediaframework')) else ''}"
EXTERNALSRC_pn-rmfosal = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mediaframework/osal' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mediaframework')) else ''}"
EXTERNALSRC_pn-rms = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/rms' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/rms')) else ''}"
EXTERNALSRC_pn-rpcserver = "${@'${RDK_ROOT_PATH}/components/opensource/rpcserver' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/rpcserver')) else ''}"
EXTERNALSRC_pn-rtremote = "${@'${RDK_ROOT_PATH}/components/opensource/rtRemote' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/rtRemote')) else ''}"
EXTERNALSRC_pn-runsnmp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mediaframework/snmp/runsnmp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mediaframework')) else ''}"
EXTERNALSRC_pn-si-cache-parser = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/si_cache_parser' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/si_cache_parser')) else ''}"
EXTERNALSRC_pn-skillmapper = "${@'${RDK_ROOT_PATH}/rdk/components/generic/avs/alexa_skill_mapper' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/avs/alexa_skill_mapper')) else ''}"
EXTERNALSRC_pn-smartmon = "${@'${RDK_ROOT_PATH}/components/opensource/smartmon' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/smartmon')) else ''}"
EXTERNALSRC_pn-sso = "${@'${RDK_ROOT_PATH}/rdkb/components/generic/sso' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/generic/sso')) else ''}"
EXTERNALSRC_pn-start-parodus = "${@'${RDK_ROOT_PATH}/rdkb/components/generic/startParodus' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/generic/startParodus')) else ''}"
EXTERNALSRC_pn-streamfs = "${@'${RDK_ROOT_PATH}/rdk/components/generic/streamfs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/streamfs')) else ''}"
EXTERNALSRC_pn-streamfs-fcc = "${@'${RDK_ROOT_PATH}/rdk/components/generic/streamfs_fcc' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/streamfs_fcc')) else ''}"
EXTERNALSRC_pn-sys-resource = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/sys_resource' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/sys_resource')) else ''}"
EXTERNALSRC_pn-sys-utils = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/sys_utils' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/sys_utils')) else ''}"
EXTERNALSRC_pn-sysint-broadband = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/sysint' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/sysint')) else ''}"
EXTERNALSRC_pn-syslog-helper = "${@'${RDK_ROOT_PATH}/rdk/components/generic/syslog_helper' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/syslog_helper')) else ''}"
EXTERNALSRC_pn-tdk = "${@'${RDK_ROOT_PATH}/rdkv/tools/tdkv' if (os.path.isdir('${RDK_ROOT_PATH}/rdkv/tools/tdkv')) else ''}"
EXTERNALSRC_pn-tdk-b = "${@'${RDK_ROOT_PATH}/rdkb/tools/tdkb' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/tools/tdkb')) else ''}"
EXTERNALSRC_pn-tdk-c = "${@'${RDK_ROOT_PATH}/rdkc/tools/tdkc' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/tools/tdkc')) else ''}"
EXTERNALSRC_pn-telemetry = "${@'${RDK_ROOT_PATH}/rdk/components/generic/telemetry' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/telemetry')) else ''}"
EXTERNALSRC_pn-tenablehdcp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/rmf_tools/tenableHDCP' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/rmf_tools/tenableHDCP')) else ''}"
EXTERNALSRC_pn-test-and-diagnostic = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/TestAndDiagnostic' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/TestAndDiagnostic')) else ''}"
EXTERNALSRC_pn-thumbnail = "${@'${RDK_ROOT_PATH}/rdkc/components/opensource/thumbnail' if (os.path.isdir('${RDK_ROOT_PATH}/rdkc/components/opensource/thumbnail')) else ''}"
EXTERNALSRC_pn-tr69hostif-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/tr69hostif' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/tr69hostif')) else ''}"
EXTERNALSRC_pn-tr69hostif = "${@'${RDK_ROOT_PATH}/rdk/components/generic/tr69hostif' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/tr69hostif')) else ''}"
EXTERNALSRC_pn-trh = "${@'${RDK_ROOT_PATH}/rdk/components/generic/mediaframework/trh' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/mediaframework')) else ''}"
EXTERNALSRC_pn-trm-common = "${@'${RDK_ROOT_PATH}/rdk/components/generic/trm/common/src' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/trm')) else ''}"
EXTERNALSRC_pn-trmmgr = "${@'${RDK_ROOT_PATH}/rdk/components/generic/trm/diag' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/trm')) else ''}"
EXTERNALSRC_pn-tts = "${@'${RDK_ROOT_PATH}/rdk/components/generic/ttsengine' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/ttsengine')) else ''}"
EXTERNALSRC_pn-tvsettings = "${@'${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings')) else ''}"
EXTERNALSRC_pn-tvsettings-hal-headers = "${@'${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings')) else ''}"
EXTERNALSRC_pn-tvsettings-hal-noop = "${@'${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings/stubs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings/stubs')) else ''}"
EXTERNALSRC_pn-tvsettings-plugins = "${@'${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings/tvmgr-plugins' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/opensource/tvsettings')) else ''}"
EXTERNALSRC_pn-udhcpc-opt43 = "${@'${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/udhcpc-opt43' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/sys_mon_tools/udhcpc-opt43')) else ''}"
EXTERNALSRC_pn-usbctrl = "${@'${RDK_ROOT_PATH}/rdk/components/generic/libusbctrl' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/libusbctrl')) else ''}"
EXTERNALSRC_pn-utopia = "${@'${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/Utopia' if (os.path.isdir('${RDK_ROOT_PATH}/rdkb/components/opensource/ccsp/Utopia')) else ''}"
EXTERNALSRC_pn-waymetric = "${@'${RDK_ROOT_PATH}/components/opensource/waymetric' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/waymetric')) else ''}"
EXTERNALSRC_pn-webconfig-framework = "${@'${RDK_ROOT_PATH}/rdk/components/generic/WebconfigFramework' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/WebconfigFramework')) else ''}"
EXTERNALSRC_pn-westeros = "${@'${RDK_ROOT_PATH}/components/opensource/westeros' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/westeros')) else ''}"
EXTERNALSRC_pn-westeros-soc-drm = "${@'${RDK_ROOT_PATH}/components/opensource/westeros/drm' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/westeros')) else ''}"
EXTERNALSRC_pn-westeros-soc-emu = "${@'${RDK_ROOT_PATH}/devices/intel-x86-pc/rdkri/westeros' if (os.path.isdir('${RDK_ROOT_PATH}/devices/intel-x86-pc/rdkri/westeros')) else ''}"
EXTERNALSRC_pn-westeros-soc-rpi = "${@'${RDK_ROOT_PATH}/components/opensource/westeros' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/westeros')) else ''}"
EXTERNALSRC_pn-wifi-client-hal-raspberrypi = "${@'${RDK_ROOT_PATH}/rdk/devices/raspberrypi/wifi' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/devices/raspberrypi/wifi')) else ''}"
EXTERNALSRC_pn-wifi-hal-generic = "${@'${RDK_ROOT_PATH}/rdk/components/generic/wifi' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/wifi')) else ''}"
EXTERNALSRC_pn-wifi-hal-headers = "${@'${RDK_ROOT_PATH}/rdk/components/generic/wifi' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/wifi')) else ''}"
EXTERNALSRC_pn-wsproxy = "${@'${RDK_ROOT_PATH}/rdk/components/generic/trm/wsproxy' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/trm')) else ''}"
EXTERNALSRC_pn-xdialserver = "${@'${RDK_ROOT_PATH}/components/opensource/xdialserver/server' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/xdialserver')) else ''}"
EXTERNALSRC_pn-xr-atomic = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr_atomic' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr_atomic')) else ''}"
EXTERNALSRC_pn-xr-fdc = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr-fdc' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr-fdc')) else ''}"
EXTERNALSRC_pn-xr-mq = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr_mq' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr_mq')) else ''}"
EXTERNALSRC_pn-xr-speech-avs = "${@'${RDK_ROOT_PATH}/rdk/components/generic/avs/xr-speech-avs-sdk/xr-speech-avs' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/avs/xr-speech-avs-sdk')) else ''}"
EXTERNALSRC_pn-xr-speech-router = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr-speech-router' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr-speech-router')) else ''}"
EXTERNALSRC_pn-xr-speech-vrex = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr-speech-vrex' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr-speech-vrex')) else ''}"
EXTERNALSRC_pn-xr-sm-engine = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xrpSMEngine' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xrpSMEngine')) else ''}"
EXTERNALSRC_pn-xr-timer = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr-timer' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr-timer')) else ''}"
EXTERNALSRC_pn-xr-timestamp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr-timestamp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr-timestamp')) else ''}"
EXTERNALSRC_pn-xr-voice-sdk = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xr-voice-sdk' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xr-voice-sdk')) else ''}"
EXTERNALSRC_pn-xraudio-adpcm = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio-adpcm' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio-adpcm')) else ''}"
EXTERNALSRC_pn-xraudio-opus = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio-opus' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio-opus')) else ''}"
EXTERNALSRC_pn-xraudio = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio')) else ''}"
EXTERNALSRC_pn-xraudio-utils = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio-utils' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio-utils')) else ''}"
EXTERNALSRC_pn-xraudioh = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xraudio' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xraudio')) else ''}"
EXTERNALSRC_pn-xupnp = "${@'${RDK_ROOT_PATH}/rdk/components/generic/xupnp' if (os.path.isdir('${RDK_ROOT_PATH}/rdk/components/generic/xupnp')) else ''}"
EXTERNALSRC_pn-zilker-sdk = "${@'${RDK_ROOT_PATH}/components/opensource/zilker-sdk' if (os.path.isdir('${RDK_ROOT_PATH}/components/opensource/zilker-sdk')) else ''}"

